Subject: RE: [PATCH][RFC] MIPS: microMIPS: Add support to micro-assembler.

From: "Hill, Steven" <[email-masked]>
Date: Mon, 4 Feb 2013 16:06:39 +0000

> I wonder if we could get rid of most of these #ifdefs by taking the
> approach used in scripts/recordmcount.{c,h} or scripts/sortextable.{c,h}
> 
I do not see how these are at all applicable. I am not going to modify any compiled
ELF binary.

> That is, move all the code that varies between microMIPS and MIPS to an
> included file.  At the top of that file have a single
> #if...#else...#endif block that defines the constants for each variety.
> 
> Then include this file as many times as needed (once or twice) to
> produce the definitions required.
> 
> This would allow both a MIPS and microMIPS uasm to exist in the same kernel.
> 
I did this already did this once before in the <http://patchwork.linux-mips.org/patch/4688/> patch. The only modification of the patch would be to get rid of CONFIG_CPU_MICROMIPS controlling the inclusion of the 'uasm-micromips' and to include it unconditionally. Comments?

-Steve